<template>
	<section class="cg-seller-portfolio-wrap pad-top-sml pad-btm-sml">
            <div class="container">
                <div class="col-md-12">

                    <div class="row d-flex">

                        <div class="col-md-4" v-for="product in products_">
                            <div class="cg-featured-item-wrap first-bg">
                                <a :href="product.product_url" class="cg-featured-item-achor">
                                    <img class="product-thumb img-fluid" :src="product.cover_photo_path" :alt="product.name">
                                </a>
                                <div class="cg-card-text-wrap">
                                    <a :href="product.product_url">

                                        <div class="cg-price-bubble justify-content-center align-items-center">
                                            <h3 class="cg-product-price first w600 font1"><span v-if="product.price">${{ product.price }}</span><span v-if="!product.price">Free</span></h3>
                                        </div>
                                        <h4 class="cg-product-name second font1 f100p w700 pad-top-sml pad-left-mdm">{{ product.name | subStrName }}</h4>
                                    </a>
                                    <div class="cg-store-in-category">
                                        <a :href="product.author.profile_url">
                                            <h6 class="cg-account-name f14 light-grey pad-left-mdm pad-btm-mdm">{{ product.author.user_profile.store_name | subStrStore}}</h6>
                                        </a>
                                        <a>
                                            <h6 class="cg-account-name f14 light-grey pad-left-mdm pad-btm-mdm">in </h6>
                                        </a>

                                        <a :href="product.product_sub_category.product_sub_category_url">
                                            <h6 class="cg-account-name f14 light-grey pad-left-mdm pad-btm-mdm">{{ product.product_sub_category.name }}</h6>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="row d-flex pad-top-sml align-items-end justify-content-end cg-seller-product-pagination">
                        <ShopPagination v-if="pagination.last_page > 1" :pagination="pagination" :offset="5" @paginate="fetchProducts()" ></ShopPagination>
                    </div>


                </div>
            </div>
        </section>
</template>

<script>
    import ShopPagination from '../components/ShopPagination.vue'
    export default {
        props: ['user'],
        data() {
            return {
                user_:JSON.parse(this.user),
                products_:[],
                pagination: {
                    'current_page': 1
                },
            }
        },
        components:{
            ShopPagination
        },
        methods: {

            fetchProducts() {

                axios.get('/get_profile_shop_products' +
                    '?page=' + this.pagination.current_page +
                    '&author_id=' + this.user_.id)
                    .then(response => {
                        this.products_ = response.data.data.data;
                        this.pagination = response.data.pagination;
                    })
                    .catch(error => {
                        console.log(error.response.data);
                    });
            }
        },
        filters: {

            subStrName: function(string)
            {
                if(string.length >25)
                {
                    return string.substring(0,22) + '...';
                }
                else
                {
                    return string.substring(0,25);
                }
            },

            subStrStore: function(string)
            {
                if(string.length >26)
                {
                    return string.substring(0,23) + '...';
                }
                else
                {
                    return string.substring(0,23);
                }
            }

        },
        mounted() {
            this.fetchProducts();

        }
    }
</script>
